function love.graphics.roundrectR(mode, x, y, width, height, xround, yround) -- Robin's code
	local points = {}
	local precision = (xround + yround) * .1
	local tI, hP = table.insert, .5*math.pi
	if xround > width*.5 then xround = width*.5 end
	if yround > height*.5 then yround = height*.5 end
	local X1, Y1, X2, Y2 = x + xround, y + yround, x + width - xround, y + height - yround
	local sin, cos = math.sin, math.cos
	for i = 0, precision do
		local a = (i/precision-1)*hP
		tI(points, X2 + xround*cos(a))
		tI(points, Y1 + yround*sin(a))
	end
	for i = 0, precision do
		local a = (i/precision)*hP
		tI(points, X2 + xround*cos(a))
		tI(points, Y2 + yround*sin(a))
	end
	for i = 0, precision do
		local a = (i/precision+1)*hP
		tI(points, X1 + xround*cos(a))
		tI(points, Y2 + yround*sin(a))
	end
	for i = 0, precision do
		local a = (i/precision+2)*hP
		tI(points, X1 + xround*cos(a))
		tI(points, Y1 + yround*sin(a))
	end
	love.graphics.polygon(mode, unpack(points))
end
function love.graphics.roundrect( mode, x, y, w, h, rx, ry )	-- my code
	local pts = {}
	local precision = math.floor(0.1 * ( rx + ry ))
	local  hP =  math.pi / 2
	rx = rx > w / 2 and w / 2 - 1 or rx
	ry = ry > h / 2 and h / 2 - 1 or ry
	if ry > h / 2 then ry = h / 2 - 1 end
	local sin, cos = math.sin, math.cos
-- upper right
	for i = 0, precision do
		local a = ( i / precision - 1 ) * hP
		pts[#pts+1] = (x + w - rx * (1 -  cos(a) ))
		pts[#pts+1] = (y + ry * ( 1 +  sin(a) ))
		end
-- lower right
	for i = 2 * precision+2 , 1, -2 do
		pts[#pts+1] = pts[i-1]
		pts[#pts+1] = 2 * y - pts[i] + h
		end
-- lower left
	for i = 1, 2 * precision + 2, 2 do
		pts[#pts+1] = -pts[i] + 2 * x + w
		pts[#pts+1] = 2 * y - pts[i+1] + h
		end
-- upper left
	for i = 2 * precision+2 , 1, -2 do
		pts[#pts+1]	= -pts[i-1] + 2 * x + w
		pts[#pts+1]	= pts[i]
		end
	love.graphics.polygon(mode, pts )
	end

---begin example
function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setLineWidth(1)
	love.graphics.roundrect('line', 20, 20, 520, 420, 20, 20)
	love.graphics.roundrect('fill', 20, 500, 520, 80, 15, 15)
	love.graphics.setColor(0,0,255,255)
	love.graphics.setLineWidth(4)
	love.graphics.roundrect('line', 50, 50, 420, 320, 50, 50)
	love.graphics.setColor(0,155,55,155)
	love.graphics.roundrect('fill', 100, 200, 200, 350, 35, 70)
	love.graphics.setColor(255,10,10,130)
	love.graphics.roundrect('fill', 150, 250, 400, 200, 200, 100)
end

